### Function

# GLib fsync

since: 2.64

#### Declaration

    gint
    g_fsync (
      gint fd
    )

#### Description

A wrapper for the POSIX `fsync()` function. On Windows, `_commit()` will be used. On macOS, `fcntl(F_FULLFSYNC)` will be used. The `fsync()` function is used to synchronize a file’s in-core state with that of the disk.

This wrapper will handle retrying on `EINTR`.

See the C library manual for more details about fsync().

Available since: 2.64

#### Parameters

`fd`

  Type: `gint`

  A file descriptor.

#### Return value

Type: `gint`

0 on success, or -1 if an error occurred. The return value can be used exactly like the return value from fsync().